package fr.openium.consentium_ui.data.remote.model

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
internal data class GetConsentConfigDTO(
    @SerialName("id") val installationId: String,
    @SerialName("name") val appName: String,
    @SerialName("icon") val icon: String,
    @SerialName("primaryColor") val primaryColor: String,
    @SerialName("secondaryColor") val secondaryColor: String,
    @SerialName("textColor") val textColor: String,
    @SerialName("translation") val consentMainTextTranslation: List<MainConsentTextTranslationDTO>,
    @SerialName("purposes") val purposes: List<PurposeDTO>,
)