package fr.openium.consentium.api.adapter

import fr.openium.consentium.api.model.PurposeStatus
import fr.openium.consentium.data.remote.model.GetConsent

internal fun GetConsent.PurposeStatusDTO.toPurposeStatus() = when (this) {
    GetConsent.PurposeStatusDTO.ACCEPTED -> PurposeStatus.ACCEPTED
    GetConsent.PurposeStatusDTO.REJECTED -> PurposeStatus.REJECTED
    GetConsent.PurposeStatusDTO.NOT_DEFINED -> PurposeStatus.NOT_DEFINED
}