package fr.openium.consentium_ui.data.remote

import fr.openium.consentium_ui.data.remote.model.GetConsentConfigDTO
import retrofit2.Response
import retrofit2.http.GET

internal interface ConsentiumUIApi {

    @GET("consent-config")
    suspend fun getConsentConfig(
        applicationID: String,
        installationID: String,
    ): Response<GetConsentConfigDTO>

}